Bug 27975 - Replace obsolete title-string sorting: Administration templates
Summary: Replace obsolete title-string sorting: Administration templates
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 27934
  Show dependency treegraph
 
Reported: 2021-03-17 18:25 UTC by Owen Leonard
Modified: 2021-04-15 11:26 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27975: Replace obsolete title-string sorting: Administration templates (5.79 KB, patch)
2021-03-17 18:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27975: Replace obsolete title-string sorting: Administration templates (5.84 KB, patch)
2021-03-19 08:23 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 27975: Replace obsolete title-string sorting: Administration templates (5.90 KB, patch)
2021-03-22 11:13 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-17 18:25:07 UTC
This patch will modify the following templates to replace the old "title-string" DataTables sorting method with the built-in method using "data-order" attributes.

  intranet-tmpl/prog/en/modules/admin/aqbudgetperiods.tt
  intranet-tmpl/prog/en/modules/admin/currency.tt
Comment 1 Owen Leonard 2021-03-17 18:30:30 UTC
Created attachment 118438 [details] [review]
Bug 27975: Replace obsolete title-string sorting: Administration templates

This patch modifies two administration templates to replace the use of
the "title-string" DataTables sorting method with the newer
"data-order" attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- Administration -> Currencies and exchange rates
- Administration -> Budgets
  - Both the "Active budgets" and "Inactive budgets" tabs
Comment 2 Amit Gupta 2021-03-19 08:23:13 UTC
Created attachment 118498 [details] [review]
Bug 27975: Replace obsolete title-string sorting:  Administration templates

This patch modifies two administration templates to replace the use of
the "title-string" DataTables sorting method with the newer
"data-order" attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- Administration -> Currencies and exchange rates
- Administration -> Budgets
  - Both the "Active budgets" and "Inactive budgets" tabs
Comment 3 Martin Renvoize 2021-03-22 11:13:26 UTC
Created attachment 118582 [details] [review]
Bug 27975: Replace obsolete title-string sorting: Administration templates

This patch modifies two administration templates to replace the use of
the "title-string" DataTables sorting method with the newer
"data-order" attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- Administration -> Currencies and exchange rates
- Administration -> Budgets
  - Both the "Active budgets" and "Inactive budgets" tabs

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2021-03-22 11:13:56 UTC
Passing QA.. works perfectly.
Comment 5 Jonathan Druart 2021-04-06 13:58:22 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-04-15 11:26:05 UTC
Enhancement not pushed to 20.11.x